## vorta 0.10.3

=== Makefile ===
export VORTA_SRC := src/vorta
export APPSTREAM_METADATA := src/vorta/assets/metadata/com.borgbase.Vorta.appdata.xml
VERSION := $(shell python -c "from src.vorta._version import __version__; print(__version__)")

.PHONY : help clean lint test
.DEFAULT_GOAL := help

# Set Homebrew location to /opt/homebrew on Apple Silicon, /usr/local on Intel
ifeq ($(shell uname -m),arm64)
	export HOMEBREW = /opt/homebrew
else
	export HOMEBREW = /usr/local
endif

clean:
	rm -rf dist/*

dist/Vorta.app:  ## Build macOS app locally (without Borg)
	pyinstaller --clean --noconfirm package/vorta.spec
	cp -R ${HOMEBREW}/Caskroom/sparkle/*/Sparkle.framework dist/Vorta.app/Contents/Frameworks/
	rm -rf build/vorta dist/vorta

dist/Vorta.dmg: dist/Vorta.app  ## Create notarized macOS DMG for distribution.
	python3 package/fix_app_qt_folder_names_for_codesign.py dist/Vorta.app
	cd dist && sh ../package/macos-package-app.sh

github-release: dist/Vorta.dmg  ## Add new Github release and attach macOS DMG
	cp dist/Vorta.dmg dist/vorta-${VERSION}.dmg
	hub release create --attach=dist/vorta-${VERSION}.dmg v${VERSION}
	git checkout gh-pages
	git commit -m 'rebuild pages' --allow-empty
	git push upstream gh-pages
	git checkout master

pypi-release: translations-to-qm  ## Upload new release to PyPi
	python setup.py sdist
	twine upload dist/vorta-${VERSION}.tar.gz

bump-version:  ## Tag new version. First set new version number in src/vorta/_version.py
	xmlstarlet ed -L -u 'component/releases/release/@date' -v $(shell date +%F) ${APPSTREAM_METADATA}
	xmlstarlet ed -L -u 'component/releases/release/@version' -v v${VERSION} ${APPSTREAM_METADATA}
	git commit -a -m "Bump version to v${VERSION}"
	git tag -a v${VERSION}

translations-from-source:  ## Extract strings from source code / UI files, merge into .ts.
	pylupdate5 -verbose -translate-function trans_late \
			   $$(find ${VORTA_SRC} -iname "*.py" -o -iname "*.ui") \
			   -ts ${VORTA_SRC}/i18n/ts/vorta.en.ts

translations-push: translations-from-source  ## Upload .ts to Transifex.
	tx push -s

translations-pull:  ## Download .ts from Transifex.
	tx pull -a

translations-to-qm:  ## Compile .ts text files to binary .qm files.
	for f in $$(ls ${VORTA_SRC}/i18n/ts/vorta.*.ts); do lrelease $$f -qm ${VORTA_SRC}/i18n/qm/$$(basename $$f .ts).qm; done

flatpak-install: translations-to-qm
	pip3 install --verbose --exists-action=i --no-index --find-links=\"file://${PWD}\" --prefix=${FLATPAK_DEST} --no-build-isolation .
	install -D ${APPSTREAM_METADATA} ${FLATPAK_DEST}/share/metainfo/com.borgbase.Vorta.appdata.xml
	install -D src/vorta/assets/icons/icon.svg ${FLATPAK_DEST}/share/icons/hicolor/scalable/apps/com.borgbase.Vorta.svg
	install -D package/icon-symbolic.svg ${FLATPAK_DEST}/share/icons/hicolor/symbolic/apps/com.borgbase.Vorta-symbolic.svg
	install -D src/vorta/assets/metadata/com.borgbase.Vorta.desktop ${FLATPAK_DEST}/share/applications/com.borgbase.Vorta.desktop

lint:
	pre-commit run --all-files --show-diff-on-failure

test:
	nox -- --cov=vorta

test-unit:
	nox -- --cov=vorta tests/unit

test-integration:
	nox -- --cov=vorta tests/integration

help:
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

=== debian/changelog ===
vorta (0.10.3-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 0.10.3
  * Do not generate a dependency on python3-pkg-resources (Closes: #1083985)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 31 Jan 2025 14:17:08 +0100

=== debian/control ===
Source: vorta
Section: utils
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Nicholas D Steeves <sten@debian.org>
Build-Depends: debhelper-compat (= 13),
               pybuild-plugin-pyproject,
               dh-sequence-python3,
               python3-all,
               pyqt6-dev-tools,
               borgbackup             <!nocheck>,
               dbus-daemon            <!nocheck>,
               fuse3                  <!nocheck>,
               libqt6svg6             <!nocheck>,
               openssh-client         <!nocheck>,
               python3-pyfuse3        <!nocheck>,
               python3-pytest-mock    <!nocheck>,
               python3-peewee         <!nocheck>,
               python3-platformdirs   <!nocheck>,
               python3-psutil         <!nocheck>,
               python3-pyqt6          <!nocheck>,
               python3-pytestqt       <!nocheck>,
               python3-setuptools,
               xauth                  <!nocheck>,
               xvfb                   <!nocheck>,
               qt6-l10n-tools
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://vorta.borgbase.com
Vcs-Browser: https://salsa.debian.org/python-team/packages/vorta
Vcs-Git: https://salsa.debian.org/python-team/packages/vorta.git
Testsuite: autopkgtest-pkg-python
# nonsuperficial tests manually configured in debian/tests/unittests

Package: vorta
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
         libqt6svg6,
         pyqt6-dev-tools,
Recommends: borgbackup,
            openssh-client
Description: Desktop Client for Borg Backup
 Vorta is a GUI backup client for macOS and Linux desktops. It enables less
 technical users, or users who prefer GUIs, to benefit from the mighty
 BorgBackup.  Now anyone can easily and conveniently protect their data from
 disk failure, ransomware, theft, and user error.
 .
 Features:
   * Encrypted, deduplicated, and compressed backups via Borg.
   * Backup to disk (DAS: direct-attached storage), server (NAS: network
     attached storage), or a hosting service that supports Borg (BorgBase,
     rsync.net, et al).
   * Backups over SSH using "borg server".
   * Profiles for grouping source folders, backup destinations, and schedules.
   * Unified interface for viewing and managing all archives.
   * Enhanced ease of use when restoring individual files.
   * Built-in backup scheduling method that does not depend on system-level
     facilities such as cron or systemd timers.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=vorta
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=--ignore tests/network_manager/test_darwin.py -k 'not test_exclusion_preview_populated'
export PYS=$(shell $(py3versions --supported))
export QT_SELECT=qt6
export HOME=/tmp/home
export XDG_RUNTIME_DIR=/tmp/run

%:
	dh $@ --buildsystem=pybuild

override_dh_python3:
	dh_python3
	mkdir -p debian/vorta/usr/share/applications/ \
	         debian/vorta/usr/share/icons/hicolor/scalable/apps \
	         debian/vorta/usr/share/metainfo/
	make translations-to-qm
	dh_install -X src/vorta/i18n/qm/.gitkeep src/vorta/i18n/qm/ \
	   /usr/lib/python3/dist-packages/vorta/i18n/
	mv debian/vorta/usr/lib/python3/dist-packages/vorta/assets/metadata/com.borgbase.Vorta.appdata.xml \
	   debian/vorta/usr/share/metainfo/
	mv debian/vorta/usr/lib/python3/dist-packages/vorta/assets/metadata/com.borgbase.Vorta.desktop \
	   debian/vorta/usr/share/applications/
	rm -rf debian/vorta/usr/lib/python3/dist-packages/vorta/assets/metadata
	install -m 644 src/vorta/assets/icons/icon.svg \
	               debian/vorta/usr/share/icons/hicolor/scalable/apps/com.borgbase.Vorta.svg

override_dh_auto_test:
	mkdir -p $(HOME)
	mkdir -p $(XDG_RUNTIME_DIR)
	xvfb-run -a --server-args="-screen 0 1024x768x24+32" \
	         dbus-run-session dh_auto_test

=== debian/tests/control ===
Tests: unittests
Restrictions: allow-stderr
Depends: borgbackup, dbus-daemon, fuse3, python3-all, python3-pyfuse3, python3-pytest-forked, python3-pytest-mock, python3-pytestqt, openssh-client, vorta, xauth, xvfb

=== debian/watch ===
version=4
opts=\
searchmode=plain,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,\
uversionmangle=s/(\d)-(alpha|beta|rc)/$1~$2/,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1\.tar\.gz%,\
pgpmode=none \
  https://api.github.com/repos/borgbase/vorta/tags \
  https://api.github.com/repos/borgbase/vorta/tarball/refs/tags/v?@ANY_VERSION@

## vorta 0.11.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 export VORTA_SRC := src/vorta
 export APPSTREAM_METADATA := src/vorta/assets/metadata/com.borgbase.Vorta.appdata.xml
-VERSION := $(shell python -c "from src.vorta._version import __version__; print(__version__)")
+VERSION := $(shell uv run python -c "from src.vorta._version import __version__; print(__version__)")
 
 .PHONY : help clean lint test
 .DEFAULT_GOAL := help
@@ -16,7 +16,7 @@
 	rm -rf dist/*
 
 dist/Vorta.app:  ## Build macOS app locally (without Borg)
-	pyinstaller --clean --noconfirm package/vorta.spec
+	uv run pyinstaller --clean --noconfirm package/vorta.spec
 	cp -R ${HOMEBREW}/Caskroom/sparkle/*/Sparkle.framework dist/Vorta.app/Contents/Frameworks/
 	rm -rf build/vorta dist/vorta
 
@@ -33,8 +33,8 @@
 	git checkout master
 
 pypi-release: translations-to-qm  ## Upload new release to PyPi
-	python setup.py sdist
-	twine upload dist/vorta-${VERSION}.tar.gz
+	uv run python -m build --sdist
+	uv run twine upload dist/vorta-${VERSION}.tar.gz
 
 bump-version:  ## Tag new version. First set new version number in src/vorta/_version.py
 	xmlstarlet ed -L -u 'component/releases/release/@date' -v $(shell date +%F) ${APPSTREAM_METADATA}
@@ -64,16 +64,16 @@
 	install -D src/vorta/assets/metadata/com.borgbase.Vorta.desktop ${FLATPAK_DEST}/share/applications/com.borgbase.Vorta.desktop
 
 lint:
-	pre-commit run --all-files --show-diff-on-failure
+	uv run pre-commit run --all-files --show-diff-on-failure
 
 test:
-	nox -- --cov=vorta
+	uv run nox -- --cov=vorta
 
 test-unit:
-	nox -- --cov=vorta tests/unit
+	uv run nox -- --cov=vorta tests/unit
 
 test-integration:
-	nox -- --cov=vorta tests/integration
+	uv run nox -- --cov=vorta tests/integration
 
 help:
 	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

=== debian/changelog ===
vorta (0.11.2-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 04 Jan 2026 21:21:13 -0800

vorta (0.11.2-1) unstable; urgency=medium

  * New upstream release.
  * Rebase quilt series onto this release:
    - Drop 0008-no-python3-pkg-resources.patch, which is no longer required.

 -- Nicholas D Steeves <sten@debian.org>  Sat, 03 Jan 2026 21:36:39 -0500

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,30 @@
 Source: vorta
 Section: utils
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Nicholas D Steeves <sten@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               pybuild-plugin-pyproject,
                dh-sequence-python3,
-               python3-all,
-               pyqt6-dev-tools,
                borgbackup             <!nocheck>,
                dbus-daemon            <!nocheck>,
                fuse3                  <!nocheck>,
                libqt6svg6             <!nocheck>,
                openssh-client         <!nocheck>,
-               python3-pyfuse3        <!nocheck>,
-               python3-pytest-mock    <!nocheck>,
+               pybuild-plugin-pyproject,
+               pyqt6-dev-tools,
+               python3-all,
                python3-peewee         <!nocheck>,
                python3-platformdirs   <!nocheck>,
                python3-psutil         <!nocheck>,
+               python3-pyfuse3        <!nocheck>,
                python3-pyqt6          <!nocheck>,
+               python3-pytest-mock    <!nocheck>,
                python3-pytestqt       <!nocheck>,
                python3-setuptools,
+               qt6-l10n-tools,
                xauth                  <!nocheck>,
-               xvfb                   <!nocheck>,
-               qt6-l10n-tools
+               xvfb                   <!nocheck>
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://vorta.borgbase.com
@@ -34,11 +35,8 @@
 
 Package: vorta
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends},
-         libqt6svg6,
-         pyqt6-dev-tools,
-Recommends: borgbackup,
-            openssh-client
+Depends: libqt6svg6, pyqt6-dev-tools, ${misc:Depends}, ${python3:Depends},
+         borgbackup, openssh-client
 Description: Desktop Client for Borg Backup
  Vorta is a GUI backup client for macOS and Linux desktops. It enables less
  technical users, or users who prefer GUIs, to benefit from the mighty

=== debian/tests/control ===
Tests: unittests
Restrictions: allow-stderr
Depends: borgbackup,
         dbus-daemon,
         fuse3,
         openssh-client,
         python3-all,
         python3-pyfuse3,
         python3-pytest-forked,
         python3-pytest-mock,
         python3-pytestqt,
         vorta,
         xauth,
         xvfb
